package com.ximai.mes.constant;

/**
 * 工单包装类型
 *
 * @ Author: chicheng.li
 * @ Date  : 2024/3/25
 */
public enum WorkorderPackTypeEnum {


    /**
     * 按SIZE
     */
    SIZE("1"),

    /**
     * 按指令
     */
    DIRECTIVE("2");


    private final String type;

    /**
     * Constructor with field of type
     */
    private WorkorderPackTypeEnum(String status) {
        this.type = status;
    }

    public String getType() {
        return type;
    }


    public static WorkorderStatusEnum get(String value) {
        for (WorkorderStatusEnum temp : WorkorderStatusEnum.values()) {
            if (temp.getValue().equals(value)) {
                return temp;
            }
        }
        return null;
    }
}
